Login
Newsletter
Werbung

Sicherheit: Cross-Site Scripting in sagemath
Aktuelle Meldungen Distributionen
Name: Cross-Site Scripting in sagemath
ID: FEDORA-2014-16667
Distribution: Fedora
Plattformen: Fedora 20
Datum: So, 21. Dezember 2014, 10:28
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4230
Applikationen: sagemath

Originalnachricht

Name        : sagemath
Product : Fedora 20
Version : 6.1.1
Release : 6.fc20
URL : http://www.sagemath.org
Summary : A free open-source mathematics software system
Description :
Sage is a free open-source mathematics software system licensed
under the GPL. It combines the power of many existing open-source
packages into a common Python-based interface.

-------------------------------------------------------------------------------
-
Update Information:

Add patch for CVE-2012-4230.

-------------------------------------------------------------------------------
-
ChangeLog:

* Sat Dec 6 2014 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> -
6.1.1-6
- Add patch for CVE-2012-4230 (#1091442)
* Wed Apr 2 2014 Jerry James <loganjerry@gmail.com> - 6.1.1-5
- Rebuild for ntl 6.1.0
- Fix ld ignoring __global_ldflags due to embedded trailing space
- Fix Singular paths in the build environment
* Wed Mar 19 2014 Jerry James <loganjerry@gmail.com> - 6.1.1-4
- Rebuild for libgap 4.7.4 and cryptominisat 2.9.9
* Mon Mar 10 2014 Rex Dieter <rdieter@fedoraproject.org> 6.1.1-3
- rebuild (Singular)
* Wed Feb 12 2014 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> -
6.1.1-2
- Enable optional fes dependency
- Correct jmol applet interface
- Add missing python-twisted-mail requires (#1063061)
- Correct problems when starting sage for the first time as a new user
- Correct atlas library path for f21 or newer
* Fri Feb 7 2014 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> -
6.1.1-1
- Update to sagemath 6.1.1
* Tue Jan 28 2014 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> -
5.13-1
- Update to sagemath 5.13
* Fri Jan 17 2014 Jerry James <loganjerry@gmail.com> - 5.12-3
- Also adapt Requires to the new gap subpackage structure
* Wed Jan 15 2014 Jerry James <loganjerry@gmail.com> - 5.12-2
- Rebuild for libgap 4.7.2
- Adapt gap BRs to new gap subpackage structure
-------------------------------------------------------------------------------
-
References:

[ 1 ] Bug #1091438 - CVE-2012-4230 tinymce: XSS attacks via security policy
bypass
https://bugzilla.redhat.com/show_bug.cgi?id=1091438
-------------------------------------------------------------------------------
-

This update can be installed with the "yum" update program. Use
su -c 'yum update sagemath' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
-------------------------------------------------------------------------------
-
_______________________________________________
package-announce mailing list
package-announce@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/package-announce
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung